Bug 93898 - [NEW PORT] print/p5-XML-ApacheFOP: Access Apache FOP from Perl to create PDF files using XSL-FO
Summary: [NEW PORT] print/p5-XML-ApacheFOP: Access Apache FOP from Perl to create PDF ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Aaron Dalton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-27 11:50 UTC by Šimun Mikecin
Modified: 2006-06-03 04:13 UTC (History)
0 users

See Also:


Attachments
file.shar (2.17 KB, text/plain)
2006-02-27 11:50 UTC, Šimun Mikecin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Šimun Mikecin 2006-02-27 11:50:03 UTC
XML::ApacheFOP allows you to create PDFs (or other output types) using
Apache FOP.
This port requires devel/p5-Java which is an uncommitted port (ports/92566)
as of this writing.
Comment 1 Šimun Mikecin 2006-02-27 12:07:44 UTC
I forgot to add textproc/fop to the dependency list.
This should fix it:

--- Makefile.old    Mon Feb 27 13:04:58 2006
+++ Makefile     Mon Feb 27 13:02:32 2006
@@ -16,7 +16,8 @@
 COMMENT=       Access Apache FOP from Perl to create
PDF files using XSL-FO

 BUILD_DEPENDS=
${SITE_PERL}/Java.pm:${PORTSDIR}/devel/p5-Java
-RUN_DEPENDS=   ${BUILD_DEPENDS}
+RUN_DEPENDS=  
${LOCALBASE}/share/fop/build/fop.jar:${PORTSDIR}/textproc/fop
+RUN_DEPENDS+=  ${BUILD_DEPENDS}

 PERL_CONFIGURE=        yes



__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com
Comment 2 Aaron Dalton freebsd_committer 2006-06-02 22:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->aaron

I'll take it.
Comment 3 Aaron Dalton freebsd_committer 2006-06-03 04:13:11 UTC
State Changed
From-To: open->closed

New port added. Thanks!